local palette = love.image.newImageData("palette.png")
local paletteImg = love.graphics.newImage(palette)
local paletteX, paletteY
local paletteWidth, paletteHeight = palette:getWidth(), palette:getHeight()
function drawPalette(x, y)
    love.graphics.draw(paletteImg, x, y)
    paletteX = x
    paletteY = y
end

function love.draw()
    drawPalette(400-paletteHeight/2, 300-paletteWidth/2)
end
function love.mousepressed(x, y)
    if paletteX and paletteY and x > paletteX and x < paletteX+paletteHeight and y > paletteY and y < paletteY+paletteWidth then
        r, g, b = palette:getPixel(x-paletteX, y-paletteY)
        if r < 255 or g < 255 or b < 255 then
            love.graphics.setBackgroundColor(r, g, b)
        end
    end
end